%global commit1 b29db007f94fe00c20674fa18029a6fd10396c02
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

Name: multibit-hardware
Version: 0.7.0
Release: 3%{?dist}
Summary: Common API for hardware wallets in MultiBit HD

License: MIT
URL: https://github.com/keepkey/multibit-hardware
Source0: https://github.com/keepkey/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:  https://github.com/trezor/trezor-common/archive/%{commit1}.tar.gz#/trezor-common-%{shortcommit1}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.multibit:commons)
BuildRequires: mvn(org.hid4java:hid4java)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(com.google.code.findbugs:annotations)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.assertj:assertj-core)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: protobuf-compiler

%description
Provides a common API for hardware wallets that wish to interface with
MultiBit HD.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# trezor common is git sub module
%setup -T -D -a 1
mv -T trezor-common-%{commit1} trezor/src/main/trezor-common

%pom_remove_plugin -r org.apache.maven.plugins:maven-source-plugin
%pom_remove_plugin -r org.codehaus.mojo:findbugs-maven-plugin

%pom_change_dep org.easytesting:fest-assert-core org.assertj:assertj-core

# Depend on develop-SNAPSHOT, causes missing dependency to org.multibit.hd.hardware:core:jar:develop-SNAPSHOT
%pom_change_dep org.multibit.hd.hardware:core org.multibit.hd.hardware:core:%{version} keepkey

find . -type f -name '*.java' -exec sed -i 's/spongycastle/bouncycastle/g' '{}' \;

# Hard-coded protoc path
find . -type f -name pom.xml -exec sed -i 's/\/usr\/local\/bin\/protoc/\/usr\/bin\/protoc/g' '{}' \;

# package org.bitcoinj.testing does not exist
rm core/src/test/java/org/multibit/hd/hardware/core/utils/TransactionUtilsTest.java

%build
%mvn_build -- -DupdateProtobuf=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 26 2016 Jonny Heggheim <hegjon@gmail.com> - 0.7.0-2
- Enable testing during build
- Re-generate protobuf Java code

* Wed Jul 06 2016 Jonny Heggheim <hegjon@gmail.com> - 0.7.0-1
- Inital packaging
